Package it.ernytech.tdlib

## Class TdApi.GetTopChats

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetTopChats

Enclosing class:
  TdApi

    public static class TdApi.GetTopChats
    extends TdApi.Function

Returns a list of frequently used chats. Supported only if the chat info database is enabled.

Returns `Chats`

### Field Summary

Fields
`TdApi.TopChatCategory` `category` Category of chats to be returned.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `limit` Maximum number of chats to be returned; up to 30.

### Constructor Summary

Constructors
`GetTopChats()` Default constructor.
`GetTopChats​(TdApi.TopChatCategory category, int limit)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### category

    public TdApi.TopChatCategory category

Category of chats to be returned.

#### limit

    public int limit

Maximum number of chats to be returned; up to 30.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetTopChats

    public GetTopChats()

Default constructor.

#### GetTopChats

    public GetTopChats​(TdApi.TopChatCategory category,
                       int limit)

Constructor for initialization of all fields.

Parameters:
  `category` - Category of chats to be returned.
  `limit` - Maximum number of chats to be returned; up to 30.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR